API referenceScenes
List scenes
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Query Parameters
cursor?string
Opaque composite pagination cursor from the previous response. Do not parse or construct it.
limit?integer
Number of items to return
Range
1 <= value <= 100Default
20Response Body
application/json
curl -X GET "https://example.com/v1/scenes"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "prompt": "string", "image_url": "http://example.com", "thumbnail_url": "http://example.com", "model": "string", "aspect_ratio": "string", "resolution": "string", "mode": "ugc", "created_at": "2019-08-24T14:15:22Z" } ], "meta": { "cursor": "string", "has_more": true }}